SureBright

For all price bands of a category

Note#

The payload parameter must be sent as a Base64-encoded query string for secure transmission.

Headers#

HeaderDescriptionRequired
X-SureBright-Access-TokenAccess token for authenticationNo

Country and State Codes#

GEThttps://{HOST_NAME}/quote/api/quote/category/listQuotes

Retrieves a list of warranty quotes for all price bands based on Category. The response includes price bands details and warranty quotes details.

Query parameters

payloadstringrequired

A Base64-encoded query string used for secure transmission. It includes the storeParentId, country, province, visitId, storeCategoryList, and platform details.

Example: Original JSON payload before Base64 encoding

json
{
  "storeParentId": "13612f29-8ec5-49ad-bab1-5ab09b51367e",
  "country": "US",
  "province": "",
  "visitId": "3d99a4ae-5cf0-4d87-8436-46c0cdc03676",
  "storeCategoryList": [
    {
      "storeCategoryId": "07b1dcb3-fbe5-46c6-b42f-66d82e89f2a7",
      "sbCategoryId": "290f8a04-0464-4140-904b-8fa33df9cbd9",
      "sbProductId": "643bc477-0eec-4da1-946a-38ff7d1292c9",
      "active": true
    }
  ],
  "platform": "POST_PURCHASE"
}
Example
ewogICJzdG9yZVBhcmVudElkIjogIjEzNjEyZjI5LThlYzUtNDlhZC1iYWIxLTVhYjA5YjUxMzY3ZSIsCiAgImNvdW50cnkiOiAiVVMiLAogICJwcm92aW5jZSI6ICIiLAogICJ2aXNpdElkIjogIjNkOTlhNGFlLTVjZjAtNGQ4Ny04NDM2LTQ2YzBjZGMwMzY3NiIsCiAgInN0b3JlQ2F0ZWdvcnlMaXN0IjogWwogICAgewogICAgICAic3RvcmVDYXRlZ29yeUlkIjogIjA3YjFkY2IzLWZiZTUtNDZjNi1iNDJmLTY2ZDgyZTg5ZjJhNyIsCiAgICAgICJzYkNhdGVnb3J5SWQiOiAiMjkwZjhhMDQtMDQ2NC00MTQwLTkwNGItOGZhMzNkZjljYmQ5IiwKICAgICAgInNiUHJvZHVjdElkIjogIjY0M2JjNDc3LTBlZWMtNGRhMS05NDZhLTM4ZmY3ZDEyOTJjOSIsCiAgICAgICJhY3RpdmUiOiB0cnVlCiAgICB9CiAgXSwKICAicGxhdGZvcm0iOiAiUE9TVF9QVVJDSEFTRSIKfQ%27
storeIdstringrequired

A unique identifier for a store will be shared as part of the integration kit.It is a path variable

Example: surebright-test-1@myshopify.com
platformstringrequired

The platform of the merchant's store

Example: POST_PURCHASE
storeParentIdstringrequired

Unique identifier for the store parent

Example: ecca4210-09a4-446c-ad87-5e65bd50df12
storeCategoryListarrayrequired

An array containing store category details used for identifying product categories within a store. Each object represents a category and includes IDs and status.

Example
{
  "storeCategoryList": [
    {
      "storeCategoryId": "07b1dcb3-fbe5-46c6-b42f-66d82e89f2a7",
      "sbCategoryId": "290f8a04-0464-4140-904b-8fa33df9cbd9",
      "sbProductId": "643bc477-0eec-4da1-946a-38ff7d1292c9",
      "active": true
    }
  ]
}
countrystringrequired

The country code of the identified customer location

Example: US
visitIdstringrequired

Unique identifier of the visitor

Example: 33f21a29-95ca-4150-b5df-afe36f5ef537
provincestring

The province code corresponding to the customer’s location — relevant only for Canada stores.